import z from 'zod';
export declare const getByProfileCommentResponseSchema: z.ZodObject<{
    comments: z.ZodArray<z.ZodObject<z.objectUtil.extendShape<{
        id: z.ZodString;
        content: z.ZodString;
        createdBy: z.ZodString;
        profileId: z.ZodString;
        isSolvable: z.ZodDefault<z.ZodBoolean>;
        isSolved: z.ZodDefault<z.ZodBoolean>;
        solvedAt: z.ZodNullable<z.ZodDate>;
        solvedBy: z.ZodOptional<z.ZodString>;
        created_at: z.ZodDate;
        updated_at: z.ZodDate;
    }, {
        account: z.ZodObject<Pick<{
            id: z.ZodString;
            username: z.ZodString;
            password: z.ZodString;
            role: z.ZodNativeEnum<{
                USER: "USER";
                ADMIN: "ADMIN";
            }>;
            isGlobalFilterActive: z.ZodDefault<z.ZodBoolean>;
            fcmToken: z.ZodDefault<z.ZodArray<z.ZodString, "many">>;
            created_at: z.ZodDate;
            updated_at: z.ZodDate;
        }, "username">, "strip", z.ZodTypeAny, {
            username: string;
        }, {
            username: string;
        }>;
    }>, "strip", z.ZodTypeAny, {
        account: {
            username: string;
        };
        id: string;
        content: string;
        isSolvable: boolean;
        created_at: Date;
        updated_at: Date;
        createdBy: string;
        profileId: string;
        isSolved: boolean;
        solvedAt: Date | null;
        solvedBy?: string | undefined;
    }, {
        account: {
            username: string;
        };
        id: string;
        content: string;
        created_at: Date;
        updated_at: Date;
        createdBy: string;
        profileId: string;
        solvedAt: Date | null;
        isSolvable?: boolean | undefined;
        isSolved?: boolean | undefined;
        solvedBy?: string | undefined;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    comments: {
        account: {
            username: string;
        };
        id: string;
        content: string;
        isSolvable: boolean;
        created_at: Date;
        updated_at: Date;
        createdBy: string;
        profileId: string;
        isSolved: boolean;
        solvedAt: Date | null;
        solvedBy?: string | undefined;
    }[];
}, {
    comments: {
        account: {
            username: string;
        };
        id: string;
        content: string;
        created_at: Date;
        updated_at: Date;
        createdBy: string;
        profileId: string;
        solvedAt: Date | null;
        isSolvable?: boolean | undefined;
        isSolved?: boolean | undefined;
        solvedBy?: string | undefined;
    }[];
}>;
declare const GetByProfileCommentResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    comments: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        content: z.ZodString;
        createdBy: z.ZodString;
        profileId: z.ZodString;
        isSolvable: z.ZodDefault<z.ZodBoolean>;
        isSolved: z.ZodDefault<z.ZodBoolean>;
        solvedAt: z.ZodNullable<z.ZodDate>;
        solvedBy: z.ZodOptional<z.ZodString>;
        created_at: z.ZodString;
        updated_at: z.ZodString;
        account: z.ZodObject<{
            username: z.ZodString;
        }, z.UnknownKeysParam, z.ZodTypeAny, {
            username: string;
        }, {
            username: string;
        }>;
    }, z.UnknownKeysParam, z.ZodTypeAny, {
        account: {
            username: string;
        };
        id: string;
        content: string;
        isSolvable: boolean;
        created_at: string;
        updated_at: string;
        createdBy: string;
        profileId: string;
        isSolved: boolean;
        solvedAt: Date | null;
        solvedBy?: string | undefined;
    }, {
        account: {
            username: string;
        };
        id: string;
        content: string;
        created_at: string;
        updated_at: string;
        createdBy: string;
        profileId: string;
        solvedAt: Date | null;
        isSolvable?: boolean | undefined;
        isSolved?: boolean | undefined;
        solvedBy?: string | undefined;
    }>, "many">;
}, z.UnknownKeysParam, z.ZodTypeAny, {
    comments: {
        account: {
            username: string;
        };
        id: string;
        content: string;
        isSolvable: boolean;
        created_at: string;
        updated_at: string;
        createdBy: string;
        profileId: string;
        isSolved: boolean;
        solvedAt: Date | null;
        solvedBy?: string | undefined;
    }[];
}, {
    comments: {
        account: {
            username: string;
        };
        id: string;
        content: string;
        created_at: string;
        updated_at: string;
        createdBy: string;
        profileId: string;
        solvedAt: Date | null;
        isSolvable?: boolean | undefined;
        isSolved?: boolean | undefined;
        solvedBy?: string | undefined;
    }[];
}>>;
export declare class GetByProfileCommentResponseDto extends GetByProfileCommentResponseDto_base {
}
export {};
