import { z } from 'zod';
export declare const eventSchema: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    date: z.ZodString;
    location: z.ZodString;
    folderId: z.ZodString;
    tagAssistedId: z.ZodString;
    tagConfirmedId: z.ZodString;
    supraEventId: z.ZodOptional<z.ZodString>;
    created_at: z.ZodDate;
    updated_at: z.ZodDate;
}, "strip", z.ZodTypeAny, {
    location: string;
    id: string;
    name: string;
    date: string;
    created_at: Date;
    updated_at: Date;
    folderId: string;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId?: string | undefined;
}, {
    location: string;
    id: string;
    name: string;
    date: string;
    created_at: Date;
    updated_at: Date;
    folderId: string;
    tagAssistedId: string;
    tagConfirmedId: string;
    supraEventId?: string | undefined;
}>;
