import z from 'zod';
export declare const findOneTagGroupResponseSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    name: z.ZodString;
    color: z.ZodString;
    isExclusive: z.ZodBoolean;
    created_at: z.ZodDate;
    updated_at: z.ZodDate;
}, {
    tags: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        groupId: z.ZodString;
        type: z.ZodNativeEnum<{
            PROFILE: "PROFILE";
            EVENT: "EVENT";
            PARTICIPANT: "PARTICIPANT";
            NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
        }>;
        created_at: z.ZodDate;
        updated_at: z.ZodDate;
    }, "strip", z.ZodTypeAny, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
    }, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
    }>, "many">;
}>, "strip", z.ZodTypeAny, {
    id: string;
    name: string;
    color: string;
    created_at: Date;
    updated_at: Date;
    isExclusive: boolean;
    tags: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
    }[];
}, {
    id: string;
    name: string;
    color: string;
    created_at: Date;
    updated_at: Date;
    isExclusive: boolean;
    tags: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: Date;
        updated_at: Date;
        groupId: string;
    }[];
}>;
declare const FindOneTagGroupResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    color: z.ZodString;
    isExclusive: z.ZodBoolean;
    created_at: z.ZodString;
    updated_at: z.ZodString;
    tags: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        name: z.ZodString;
        groupId: z.ZodString;
        type: z.ZodNativeEnum<{
            PROFILE: "PROFILE";
            EVENT: "EVENT";
            PARTICIPANT: "PARTICIPANT";
            NOT_IN_SYSTEM: "NOT_IN_SYSTEM";
        }>;
        created_at: z.ZodString;
        updated_at: z.ZodString;
    }, z.UnknownKeysParam, z.ZodTypeAny, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: string;
        updated_at: string;
        groupId: string;
    }, {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: string;
        updated_at: string;
        groupId: string;
    }>, "many">;
}, z.UnknownKeysParam, z.ZodTypeAny, {
    id: string;
    name: string;
    color: string;
    created_at: string;
    updated_at: string;
    isExclusive: boolean;
    tags: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: string;
        updated_at: string;
        groupId: string;
    }[];
}, {
    id: string;
    name: string;
    color: string;
    created_at: string;
    updated_at: string;
    isExclusive: boolean;
    tags: {
        id: string;
        name: string;
        type: "PROFILE" | "EVENT" | "PARTICIPANT" | "NOT_IN_SYSTEM";
        created_at: string;
        updated_at: string;
        groupId: string;
    }[];
}>>;
export declare class FindOneTagGroupResponseDto extends FindOneTagGroupResponseDto_base {
}
export {};
