import z from 'zod';
export declare const massiveAllocationSchema: z.ZodObject<{
    tagIds: z.ZodArray<z.ZodString, "many">;
    profileIds: z.ZodArray<z.ZodString, "many">;
}, "strip", z.ZodTypeAny, {
    tagIds: string[];
    profileIds: string[];
}, {
    tagIds: string[];
    profileIds: string[];
}>;
declare const MassiveAllocationDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    tagIds: z.ZodArray<z.ZodString, "many">;
    profileIds: z.ZodArray<z.ZodString, "many">;
}, z.UnknownKeysParam, z.ZodTypeAny, {
    tagIds: string[];
    profileIds: string[];
}, {
    tagIds: string[];
    profileIds: string[];
}>>;
export declare class MassiveAllocationDto extends MassiveAllocationDto_base {
}
export declare const massiveAllocationResponseSchema: z.ZodObject<{
    profiles: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        shortId: z.ZodNumber;
        phoneNumber: z.ZodEffects<z.ZodString, string, string>;
        secondaryPhoneNumber: z.ZodEffects<z.ZodNullable<z.ZodString>, string | null, string | null>;
        fullName: z.ZodString;
        firstName: z.ZodNullable<z.ZodString>;
        gender: z.ZodNullable<z.ZodString>;
        birthDate: z.ZodNullable<z.ZodDate>;
        profilePictureUrl: z.ZodNullable<z.ZodString>;
        instagram: z.ZodNullable<z.ZodString>;
        mail: z.ZodNullable<z.ZodString>;
        dni: z.ZodNullable<z.ZodString>;
        alternativeNames: z.ZodNullable<z.ZodArray<z.ZodString, "many">>;
        birthLongitude: z.ZodNullable<z.ZodNumber>;
        birthLatitude: z.ZodNullable<z.ZodNumber>;
        residenceLongitude: z.ZodNullable<z.ZodNumber>;
        residenceLatitude: z.ZodNullable<z.ZodNumber>;
        isInTrash: z.ZodBoolean;
        movedToTrashDate: z.ZodNullable<z.ZodDate>;
        created_at: z.ZodDate;
        updated_at: z.ZodDate;
    }, "strip", z.ZodTypeAny, {
        id: string;
        phoneNumber: string;
        secondaryPhoneNumber: string | null;
        fullName: string;
        profilePictureUrl: string | null;
        created_at: Date;
        updated_at: Date;
        shortId: number;
        firstName: string | null;
        gender: string | null;
        birthDate: Date | null;
        instagram: string | null;
        mail: string | null;
        dni: string | null;
        alternativeNames: string[] | null;
        birthLongitude: number | null;
        birthLatitude: number | null;
        residenceLongitude: number | null;
        residenceLatitude: number | null;
        isInTrash: boolean;
        movedToTrashDate: Date | null;
    }, {
        id: string;
        phoneNumber: string;
        secondaryPhoneNumber: string | null;
        fullName: string;
        profilePictureUrl: string | null;
        created_at: Date;
        updated_at: Date;
        shortId: number;
        firstName: string | null;
        gender: string | null;
        birthDate: Date | null;
        instagram: string | null;
        mail: string | null;
        dni: string | null;
        alternativeNames: string[] | null;
        birthLongitude: number | null;
        birthLatitude: number | null;
        residenceLongitude: number | null;
        residenceLatitude: number | null;
        isInTrash: boolean;
        movedToTrashDate: Date | null;
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    profiles: {
        id: string;
        phoneNumber: string;
        secondaryPhoneNumber: string | null;
        fullName: string;
        profilePictureUrl: string | null;
        created_at: Date;
        updated_at: Date;
        shortId: number;
        firstName: string | null;
        gender: string | null;
        birthDate: Date | null;
        instagram: string | null;
        mail: string | null;
        dni: string | null;
        alternativeNames: string[] | null;
        birthLongitude: number | null;
        birthLatitude: number | null;
        residenceLongitude: number | null;
        residenceLatitude: number | null;
        isInTrash: boolean;
        movedToTrashDate: Date | null;
    }[];
}, {
    profiles: {
        id: string;
        phoneNumber: string;
        secondaryPhoneNumber: string | null;
        fullName: string;
        profilePictureUrl: string | null;
        created_at: Date;
        updated_at: Date;
        shortId: number;
        firstName: string | null;
        gender: string | null;
        birthDate: Date | null;
        instagram: string | null;
        mail: string | null;
        dni: string | null;
        alternativeNames: string[] | null;
        birthLongitude: number | null;
        birthLatitude: number | null;
        residenceLongitude: number | null;
        residenceLatitude: number | null;
        isInTrash: boolean;
        movedToTrashDate: Date | null;
    }[];
}>;
declare const MassiveAllocationResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    profiles: z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        shortId: z.ZodNumber;
        phoneNumber: z.ZodEffects<z.ZodString, string, string>;
        secondaryPhoneNumber: z.ZodEffects<z.ZodNullable<z.ZodString>, string | null, string | null>;
        fullName: z.ZodString;
        firstName: z.ZodNullable<z.ZodString>;
        gender: z.ZodNullable<z.ZodString>;
        birthDate: z.ZodNullable<z.ZodDate>;
        profilePictureUrl: z.ZodNullable<z.ZodString>;
        instagram: z.ZodNullable<z.ZodString>;
        mail: z.ZodNullable<z.ZodString>;
        dni: z.ZodNullable<z.ZodString>;
        alternativeNames: z.ZodNullable<z.ZodArray<z.ZodString, "many">>;
        birthLongitude: z.ZodNullable<z.ZodNumber>;
        birthLatitude: z.ZodNullable<z.ZodNumber>;
        residenceLongitude: z.ZodNullable<z.ZodNumber>;
        residenceLatitude: z.ZodNullable<z.ZodNumber>;
        isInTrash: z.ZodBoolean;
        movedToTrashDate: z.ZodNullable<z.ZodDate>;
        created_at: z.ZodString;
        updated_at: z.ZodString;
    }, z.UnknownKeysParam, z.ZodTypeAny, {
        id: string;
        phoneNumber: string;
        secondaryPhoneNumber: string | null;
        fullName: string;
        profilePictureUrl: string | null;
        created_at: string;
        updated_at: string;
        shortId: number;
        firstName: string | null;
        gender: string | null;
        birthDate: Date | null;
        instagram: string | null;
        mail: string | null;
        dni: string | null;
        alternativeNames: string[] | null;
        birthLongitude: number | null;
        birthLatitude: number | null;
        residenceLongitude: number | null;
        residenceLatitude: number | null;
        isInTrash: boolean;
        movedToTrashDate: Date | null;
    }, {
        id: string;
        phoneNumber: string;
        secondaryPhoneNumber: string | null;
        fullName: string;
        profilePictureUrl: string | null;
        created_at: string;
        updated_at: string;
        shortId: number;
        firstName: string | null;
        gender: string | null;
        birthDate: Date | null;
        instagram: string | null;
        mail: string | null;
        dni: string | null;
        alternativeNames: string[] | null;
        birthLongitude: number | null;
        birthLatitude: number | null;
        residenceLongitude: number | null;
        residenceLatitude: number | null;
        isInTrash: boolean;
        movedToTrashDate: Date | null;
    }>, "many">;
}, z.UnknownKeysParam, z.ZodTypeAny, {
    profiles: {
        id: string;
        phoneNumber: string;
        secondaryPhoneNumber: string | null;
        fullName: string;
        profilePictureUrl: string | null;
        created_at: string;
        updated_at: string;
        shortId: number;
        firstName: string | null;
        gender: string | null;
        birthDate: Date | null;
        instagram: string | null;
        mail: string | null;
        dni: string | null;
        alternativeNames: string[] | null;
        birthLongitude: number | null;
        birthLatitude: number | null;
        residenceLongitude: number | null;
        residenceLatitude: number | null;
        isInTrash: boolean;
        movedToTrashDate: Date | null;
    }[];
}, {
    profiles: {
        id: string;
        phoneNumber: string;
        secondaryPhoneNumber: string | null;
        fullName: string;
        profilePictureUrl: string | null;
        created_at: string;
        updated_at: string;
        shortId: number;
        firstName: string | null;
        gender: string | null;
        birthDate: Date | null;
        instagram: string | null;
        mail: string | null;
        dni: string | null;
        alternativeNames: string[] | null;
        birthLongitude: number | null;
        birthLatitude: number | null;
        residenceLongitude: number | null;
        residenceLatitude: number | null;
        isInTrash: boolean;
        movedToTrashDate: Date | null;
    }[];
}>>;
export declare class MassiveAllocationResponseDto extends MassiveAllocationResponseDto_base {
}
export {};
